org.flexdock.plaf.theme.skinlf

## Class SkinLFPainter

- java.lang.Object
- - org.flexdock.plaf.resources.paint.DefaultPainter
  - - org.flexdock.plaf.theme.skinlf.SkinLFPainter

- All Implemented Interfaces:
    Painter

      public class SkinLFPainter
      extends DefaultPainter

  Author:
    Claudio Romano

- - ### Field Summary

    - ### Fields inherited from class org.flexdock.plaf.resources.paint.DefaultPainter

      `DEFAULT_BG_COLOR, DEFAULT_BG_COLOR_ACTIVE, painterResource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkinLFPainter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `paint(java.awt.Graphics g, int width, int height, boolean active, javax.swing.JComponent titlebar)`

    - ### Methods inherited from class org.flexdock.plaf.resources.paint.DefaultPainter

      `getBackgroundColor, getBackgroundColorActive, getBackgroundColorInactive, getPainterResource, setPainterResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkinLFPainter

          public SkinLFPainter()

  - ### Method Detail

    - #### paint

          public void paint(java.awt.Graphics g,
                   int width,
                   int height,
                   boolean active,
                   javax.swing.JComponent titlebar)

      Specified by:
        `paint` in interface `Painter`
      Overrides:
        `paint` in class `DefaultPainter`